## org.opengis.feature.simple
Interface TextAttribute

All Superinterfaces:
  Attribute, Property

    public interface TextAttribute

extends Attribute

Attribute bound to a CharSequence.

This class indicates getValue() returns a CharSequence using Java 5 type narrowing, for for those working against java 1.4 interfaces the additional methods getText() and setText have been introduced.

Method Summary
`CharSequence` `getText()` Java 1.4 type safe access to getValue
`CharSequence` `getValue()` Access to the content of this Attribute.
`void` `setText(CharSequence newValue)` Java 1.4 type safe access to setValue
`void` `setValue(CharSequence newValue)`

Methods inherited from interface Attribute
`getDescriptor, getID, getType, nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### setValue

    void setValue(CharSequence newValue)

### getValue

    CharSequence getValue()

  Description copied from interface: `Attribute`
  Access to the content of this Attribute.

  A subclass may define a more specific method to access this value, in order to improve readability or make allowances for Java 1.4 use.

  Specified by:
    `getValue` in interface `Attribute`
  Returns:
    Value Object of the class indicated by getType().getBinding()

### getText

    CharSequence getText()

  Java 1.4 type safe access to getValue

  Returns:
    (Boolean) getValue()

### setText

    void setText(CharSequence newValue)

  Java 1.4 type safe access to setValue

  Parameters:
    `newValue` -

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.